components:
  schemas:
    Capacity_v1_1_5_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/Capacity_v1_1_5_OemActions'
          description: This property contains the available OEM specific actions for
            this resource.
          x-longDescription: This property shall contain any additional OEM actions
            for this resource.
          x-versionAdded: v1_1_2
      type: object
      x-longDescription: The Actions property shall contain the available actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Capacity_v1_1_5_CapacitySource:
      additionalProperties: false
      description: A description of the type and source of storage.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/Capacity_v1_1_5_Actions'
          description: The available actions for this resource.
          x-longDescription: The Actions property shall contain the available actions
            for this resource.
          x-versionAdded: v1_1_2
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - null
          readOnly: true
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        ProvidedCapacity:
          $ref: http://redfish.dmtf.org/schemas/swordfish/v1/Capacity.yaml#/components/schemas/Capacity_Capacity
          description: The amount of space that has been provided from the ProvidingDrives,
            ProvidingVolumes, ProvidingMemory or ProvidingPools.
          x-longDescription: The value shall be the amount of space that has been
            provided from the ProvidingDrives, ProvidingVolumes, ProvidingMemory or
            ProvidingPools.
        ProvidedClassOfService:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The ClassOfService provided from the ProvidingDrives, ProvidingVolumes,
            ProvidingMemoryChunks, ProvidingMemory or ProvidingPools.
          x-longDescription: The value shall reference the provided ClassOfService
            from the ProvidingDrives, ProvidingVolumes, ProvidingMemoryChunks, ProvidingMemory
            or ProvidingPools.
        ProvidingDrives:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The drive or drives that provide this space.
          x-longDescription: If present, the value shall be a reference to a contributing
            drive or drives.
        ProvidingMemory:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The memory that provides this space.
          x-longDescription: If present, the value shall be a reference to the contributing
            memory.
          x-versionAdded: v1_1_0
        ProvidingMemoryChunks:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The memory chunks that provide this space.
          x-longDescription: If present, the value shall be a reference to the contributing
            memory chunks.
          x-versionAdded: v1_1_0
        ProvidingPools:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The pool or pools that provide this space.
          x-longDescription: If present, the value shall be a reference to a contributing
            storage pool or storage pools.
        ProvidingVolumes:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The volume or volumes that provide this space.
          x-longDescription: If present, the value shall be a reference to a contributing
            volume or volumes.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This composition may be used to represent the source and
        type of storage capacity.  At most one of the ProvidingDrives, ProvidingVolumes,
        ProvidingMemoryChunks, ProvidingMemory or ProvidingPools properties may have
        a value.  If any of ProvidingDrives, ProvidingVolumes, ProvidingMemory or
        ProvidingPools reference more than one resource, allocation of capacity across
        those resources is implementation dependent.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Capacity_v1_1_5_OemActions:
      additionalProperties: true
      description: The available OEM specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain any additional OEM actions for this
        resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#Capacity.v1_1_5.CapacitySource'
x-copyright: Copyright 2015-2026 Storage Networking Industry Association (SNIA), USA.
  All rights reserved.
x-language: en
x-owningEntity: SNIA
x-release: 1.0.6
